Package org.apache.storm.multilang

# Enum Class ShellMsg.ShellLogLevel

java.lang.Object
java.lang.Enum<ShellMsg.ShellLogLevel>
org.apache.storm.multilang.ShellMsg.ShellLogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<ShellMsg.ShellLogLevel>`, `Constable`

Enclosing class:
  ShellMsg

public static enum ShellMsg.ShellLogLevel extends Enum<ShellMsg.ShellLogLevel>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUG`
  `ERROR`
  `INFO`
  `TRACE`
  `WARN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShellMsg.ShellLogLevel`
  `fromInt(int i)`
  `static ShellMsg.ShellLogLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShellMsg.ShellLogLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRACE

    public static final ShellMsg.ShellLogLevel TRACE

  - ### DEBUG

    public static final ShellMsg.ShellLogLevel DEBUG

  - ### INFO

    public static final ShellMsg.ShellLogLevel INFO

  - ### WARN

    public static final ShellMsg.ShellLogLevel WARN

  - ### ERROR

    public static final ShellMsg.ShellLogLevel ERROR

- ## Method Details

  - ### values

    public static ShellMsg.ShellLogLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShellMsg.ShellLogLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromInt

    public static ShellMsg.ShellLogLevel fromInt(int i)